Subject: bug#65981: closed (gnu: Add antimicrox)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Sep 2024 19:49:02 +0000

Your bug report

#65981: gnu: Add antimicrox

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65981: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65981
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: gnu: Add antimicrox
From: Luis Felipe <[email-masked]>
To: [email-masked]
Date: Fri, 20 Sep 2024 19:48:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm closing this report because a newer patch for the same software is 
being reviewed at the moment (see https://issues.guix.gnu.org/73373).

-- 
Luis Felipe López Acevedo
https://luis-felipe.gitlab.io/

Subject: gnu: Add antimicrox
From: Luis Felipe <[email-masked]>
To: [email-masked]
Date: Thu, 14 Sep 2023 19:10:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm attaching a package definition for AntiMicroX 3.3.4 
(https://github.com/AntiMicroX/antimicrox/) from my personal Guix 
channel. I've been using the software for several months now and it 
works, but I don't have the time at the moment to send a proper patch to 
Guix. I'm attaching this just in case someone else is interested (no 
need to credit me).

The software just works on X, but it fails on Wayland like so

|❯ antimicrox Selecting uinput as a default event generator.Could not 
find a valid uinput device file. Please check that you have the uinput 
module loaded. lsmod | grep uinputFailed to open event generator. Exiting.|

Possibly related to https://github.com/AntiMicroX/antimicrox/pull/781 (?)

Cheers,

-- 
Luis Felipe López Acevedo
https://luis-felipe.gitlab.io/